org.apache.http.impl.nio.codecs

## Class ChunkDecoder

- java.lang.Object
- - org.apache.http.impl.nio.codecs.AbstractContentDecoder
  - - org.apache.http.impl.nio.codecs.ChunkDecoder

- All Implemented Interfaces:
    ContentDecoder

      @NotThreadSafe
      public class ChunkDecoder
      extends AbstractContentDecoder

  Implements chunked transfer coding. The content is received in small chunks. Entities transferred using this encoder can be of unlimited length.
  Since:
    4.0

- - ### Field Summary

    - ### Fields inherited from class org.apache.http.impl.nio.codecs.AbstractContentDecoder

      `buffer, channel, completed, metrics`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChunkDecoder(ReadableByteChannel channel, SessionInputBuffer buffer, HttpTransportMetricsImpl metrics)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Header[]` | `getFooters()`
    `int` | `read(ByteBuffer dst)` Reads a portion of content from the underlying channel
    `String` | `toString()`

    - ### Methods inherited from class org.apache.http.impl.nio.codecs.AbstractContentDecoder

      `fillBufferFromChannel, isCompleted, readFromChannel, readFromChannel`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ChunkDecoder

          public ChunkDecoder(ReadableByteChannel channel,
                      SessionInputBuffer buffer,
                      HttpTransportMetricsImpl metrics)

  - ### Method Detail

    - #### read

          public int read(ByteBuffer dst)
                   throws IOException

      Description copied from interface: `ContentDecoder`
      Reads a portion of content from the underlying channel
      Parameters:
        `dst` - The buffer into which entity content is to be transferred
      Returns:
        The number of bytes read, possibly zero, or -1 if the channel has reached end-of-stream
      Throws:
        `IOException` - if I/O error occurs while reading content

    - #### getFooters

          public Header[] getFooters()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2005–2013 The Apache Software Foundation. All rights reserved.